// *************************
// Theme specific styles
//**************************

// SCSS Variables
// COLOR PALETTE
$primary-1: 255, 00, 00;
$primary-2: 173, 0, 0;
$surface: 255, 255, 255;
$background-1: 255, 255, 255;
$background-2: 221, 221, 221;
$error: 176, 0, 32;
$accent-1: 0, 179, 24;
$accent-2: 93, 253, 115;
$on-primary-1: 227, 242, 253;
$on-primary-2: 227, 242, 253;
$on-surface: 51, 36, 245;
$on-error: 255, 255, 255;
$on-background-1: 110, 110, 110;
$on-background-2: 110, 110, 110;
$on-accent-1: 255, 255, 255;
$on-accent-2: 0, 0, 0;

@mixin box-shadow($color) {
  box-shadow: rgba($color, 0.3) 0px 1px 2px 0px,
    rgba($color, 0.15) 0px 2px 6px 2px, 0 1px 2px 0 rgba($color, 0.3),
    0 2px 6px 2px rgba($color, 0.15);
}

// CSS VARIABLES
.portfolio-dark {
  --primary-1: #{$primary-1};
  --primary-2: #{$primary-2};
  --surface: #{$surface};
  --background: #{$background-1};
  --background-2: #{$background-2};
  --error: #{$error};
  --accent-1: #{$accent-1};
  --accent-2: #{$accent-2};
  --on-primary-1: #{$on-primary-1};
  --on-primary-2: #{$on-primary-2};
  --on-surface: #{$on-surface};
  --on-error: #{$on-error};
  --on-background-1: #{$on-background-1};
  --on-background-2: #{$on-background-2};
  --on-accent-1: #{$on-accent-1};
  --on-accent-2: #{$on-accent-2};
}
